//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//------------------------------------------------------------------------------
function LoadingGui::onAdd(%this)
{
   %this.qLineCount = 0;
}

//------------------------------------------------------------------------------
function LoadingGui::onWake(%this)
{
   //-----------------------------------
   // COGMAC
   //-----------------------------------

   btnLoadingCancel.setVisible(true);
   LoadingProgress.setVisible(true);
   btnLoadingOk.setVisible(false);

   $GameplayEnabled = true;

   lstProfile.receivedReport = false;
   lstProfile.otherQuit = false;

   if( strstr( txtObjective.role, "WAITRESS" ) > -1 )
   {
      txtObjective.setText( "OBJECTIVE:\n-------------------\nYOU ARE A WAITRESS AT A RESTAURANT. YOUR OBJECTIVE IS TO WAIT FOR THE NEXT CUSTOMER TO ARRIVE, AND THEN EARN AS MUCH MONEY AS YOU CAN. WHEN YOU DEPOSIT A CHECK IN THE REGISTER, YOU WILL EARN 50% OF THE PRE-TAX TOTAL PLUS THE TIP." );
      bmpRole.setBitmap("restaurant/data/shapes/waitress/waitress.jpg");
      bmpRole.setVisible( true );
      bmpObjectiveComplete.setVisible( true );
      txtObjectiveComplete.setVisible( true );
      txtPersonalityProfile.setVisible( true );
      dlgLoading.setExtent(655, 370);
      CommandToServer('NotifyPlayerArriving', "WAITRESS");
   }
   else if( strstr( txtObjective.role, "CUSTOMER" ) > -1 )   
   {
      txtObjective.setText( "OBJECTIVE:\n-------------------\nYOU ARE A CUSTOMER AT A RESTAURANT.\nYOU HAD LUNCH AT NOON, AND IT IS NOW 7PM.\nYOUR OBJECTIVE IS TO HAVE DINNER AT THE RESTAURANT." );
      bmpRole.setBitmap("restaurant/data/shapes/player/customer.jpg");
      bmpRole.setVisible( true );
      bmpObjectiveComplete.setVisible( true );
      txtObjectiveComplete.setVisible( true );
      txtPersonalityProfile.setVisible( true );
      dlgLoading.setExtent(655, 370);
      CommandToServer('NotifyPlayerArriving', "CUSTOMER");
   }
   else if( strstr( txtObjective.role, "TUTORIAL" ) > -1 )
   {
      txtObjective.setText( "WELCOME TO THE RESTAURANT GAME TUTORIAL.\n\nTHIS TUTORIAL WILL TEACH YOU EVERYTHING YOU NEED TO KNOW TO PLAY ANY ROLE IN THE RESTAURANT BEFORE WE BEGIN THE MULTIPLAYER GAME.\n\nIT WILL TAKE ABOUT 10 MINUTES TO COMPLETE THE TUTORIAL." );
      bmpRole.setVisible( false );
      bmpObjectiveComplete.setVisible( false );
      txtObjectiveComplete.setVisible( false );
      txtPersonalityProfile.setVisible( false );
      dlgLoading.setExtent(455, 370);
   }

   txtObjectiveComplete.setText( "WHEN YOU HAVE COMPLETED YOUR OBJECTIVE,\nEXIT THE RESTAURANT, AND WALK TO THE\n\'OBJECTIVE COMPLETE\' SQUARE ON THE SIDEWALK." );

   txtPersonalityProfile.setText( "AFTER FILLING OUT A BRIEF SURVEY AT THE END OF THE SESSION, YOU WILL BE PRESENTED WITH A PERSONALITY PROFILE BASED ON HOW YOU CHOSE TO PLAY THE GAME.\n\nBE YOURSELF, AND HAVE FUN !!" );

   //-----------------------------------
   // COGMAC
   //-----------------------------------

   // Play sound...
   CloseMessagePopup();
}

//------------------------------------------------------------------------------
function LoadingGui::onSleep(%this)
{
   // Clear the load info:
   if ( %this.qLineCount !$= "" )
   {
      for ( %line = 0; %line < %this.qLineCount; %line++ )
         %this.qLine[%line] = "";
   }      
   %this.qLineCount = 0;

   LOAD_MapName.setText( "" );
   LOAD_MapDescription.setText( "" );
   LoadingProgress.setValue( 0 );
   LoadingProgressTxt.setValue( "WAITING FOR SERVER" );

   // Stop sound...
}
